import { ITypedEvent } from "../../TypedEvent";
import { IEvent } from "../../Event";
import { IControllerConfigurationService } from "./IControllerConfigurationService";
export declare class ControllerConfigurationService implements IControllerConfigurationService {
    private _connection;
    private _session;
    private _localStorage;
    private _serviceName;
    private _onEnteredConfigurationEvent;
    private _onExitedConfigurationEvent;
    private _onConfigurationTimeCheckedEvent;
    private _configurationTime;
    private _appEnteredConfigurationMode;
    private _didConfigurationChange;
    private _synchronizationTaskCompletionSource;
    GetServiceName(): string;
    constructor();
    DidCofigurationChangeAsync(): Promise<boolean>;
    private GetLastKnownConfigurationChangeTime;
    private SaveLastConfigurationChangeTime;
    EnterConfigurationModeAsync(): Promise<void>;
    ExitConfigurationModeAsync(): Promise<void>;
    OnEnteredConfigurationEvent(): IEvent;
    OnExitedConfigurationEvent(): IEvent;
    OnConfigurationTimeCheckedEvent(): ITypedEvent<Date>;
    GetLastConfigurationChangeTimeAsync(): Promise<Date>;
    CheckIfConfigurationHasChangedAsync(): Promise<boolean>;
}
